APIs
Log In
APIs

Utils.getSignature

📘

Static method

Utils.getSignature is static.
You can call it without actually instantiating the Utils class.

Utils.getSignature(url:String, param:JSON)

The url parameter must have the following example format :
https://v2-dot-youmaps-location-analysis.appspot.com/_ah/api/youmaps/v2.0/getMapboard

For the getMapboard method, the param parameter would be :

{
  mapboardId : mapboardId,
  techID: techID
}

Creates a signature JSON from the given parameters, with the following format and stringifies it :

{
  keySize : keySize,
  iterationCount : iterationCount,
  salt : salt,
  iv : iv,
  signature : signature
}

Utils.getSignature returns the stringified version of this JSON.
You can then append it right away to the query parameters of your API request as your signature parameter.